Bug 1003179 - [abrt] libreoffice-core-4.1.1.2-2.fc19: SetFormatIgnoreStart: Process /usr/lib/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.1.2-2.fc19: SetFormatIgnoreStart: Process /usr/li...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:51984b8991d932007ec62dfd16a...
:
: 1028415 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 10:30 EDT by Met Merilius
Modified: 2014-01-09 07:51 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 07:51:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.96 KB, text/plain)
2013-08-31 10:30 EDT, Met Merilius
no flags Details
File: cgroup (139 bytes, text/plain)
2013-08-31 10:30 EDT, Met Merilius
no flags Details
File: core_backtrace (23.34 KB, text/plain)
2013-08-31 10:30 EDT, Met Merilius
no flags Details
File: dso_list (20.80 KB, text/plain)
2013-08-31 10:30 EDT, Met Merilius
no flags Details
File: environ (2.32 KB, text/plain)
2013-08-31 10:30 EDT, Met Merilius
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-31 10:30 EDT, Met Merilius
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-31 10:30 EDT, Met Merilius
no flags Details
File: maps (66.34 KB, text/plain)
2013-08-31 10:31 EDT, Met Merilius
no flags Details
File: open_fds (698 bytes, text/plain)
2013-08-31 10:31 EDT, Met Merilius
no flags Details
File: proc_pid_status (814 bytes, text/plain)
2013-08-31 10:31 EDT, Met Merilius
no flags Details
File: var_log_messages (325 bytes, text/plain)
2013-08-31 10:31 EDT, Met Merilius
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 70201 None None None Never

  None (edit)
Description Met Merilius 2013-08-31 10:30:30 EDT
Description of problem:
- Enable tracking changes
- right-click on a misspelled word to correct it (choose the correct something from the popup menu)
- immediately press Ctrl+z

Version-Release number of selected component:
libreoffice-core-4.1.1.2-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer file:///home/balwierz/SkypeTransfer/CareerPlan_MaciejWiktor.doc
crash_function: SetFormatIgnoreStart
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.10.5-201.fc19.i686.PAE
runlevel:       N 5
uid:            670

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SetFormatIgnoreStart at /usr/src/debug/libreoffice-4.1.1.2/sw/inc/txatbase.hxx:101
 #1 SwHistorySetTxt::SetInDoc at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/undo/rolbck.cxx:246
 #2 SwHistory::TmpRollback at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/undo/rolbck.cxx:1158
 #3 SwUndoDelete::UndoImpl at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/undo/undel.cxx:898
 #4 SwUndo::UndoWithContext at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/undo/undobj.cxx:230
 #5 SfxListUndoAction::UndoWithContext at /usr/src/debug/libreoffice-4.1.1.2/svl/source/undo/undo.cxx:1334
 #7 SfxUndoManager::ImplUndo at /usr/src/debug/libreoffice-4.1.1.2/svl/source/undo/undo.cxx:794
 #8 SfxUndoManager::UndoWithContext at /usr/src/debug/libreoffice-4.1.1.2/svl/source/undo/undo.cxx:761
 #9 sw::UndoManager::impl_DoUndoRedo at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/undo/docundo.cxx:476
 #10 sw::UndoManager::Undo at /usr/src/debug/libreoffice-4.1.1.2/sw/source/core/undo/docundo.cxx:503
Comment 1 Met Merilius 2013-08-31 10:30:35 EDT
Created attachment 792423 [details]
File: backtrace
Comment 2 Met Merilius 2013-08-31 10:30:39 EDT
Created attachment 792424 [details]
File: cgroup
Comment 3 Met Merilius 2013-08-31 10:30:43 EDT
Created attachment 792425 [details]
File: core_backtrace
Comment 4 Met Merilius 2013-08-31 10:30:46 EDT
Created attachment 792426 [details]
File: dso_list
Comment 5 Met Merilius 2013-08-31 10:30:50 EDT
Created attachment 792427 [details]
File: environ
Comment 6 Met Merilius 2013-08-31 10:30:53 EDT
Created attachment 792428 [details]
File: exploitable
Comment 7 Met Merilius 2013-08-31 10:30:56 EDT
Created attachment 792429 [details]
File: limits
Comment 8 Met Merilius 2013-08-31 10:31:00 EDT
Created attachment 792430 [details]
File: maps
Comment 9 Met Merilius 2013-08-31 10:31:03 EDT
Created attachment 792431 [details]
File: open_fds
Comment 10 Met Merilius 2013-08-31 10:31:07 EDT
Created attachment 792432 [details]
File: proc_pid_status
Comment 11 Met Merilius 2013-08-31 10:31:10 EDT
Created attachment 792433 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-09-04 04:33:30 EDT
caolanm->mstahl: I can't reproduce this with a new simple document, but according to the bt at sw/source/core/undo/rolbck.cxx:246 pAttr is NULL and there is an assert(pAttr). A quick bodge to not crash with pAttr of NULL is possible of course, but any idea how that NULL could arise ?
Comment 13 Michael Stahl 2013-09-05 18:25:10 EDT
SETATTR_NOTXTATRCHR and SETATTR_NOHINTADJUST there (and the fact
that this is Undo so the same hint was inserted previously)
ought to skip pretty much every failure mode that could happen in
InsertItem.

Met, can you perhaps reproduce the problem?

it must be caused by some particular text attributes in the document
and happens when Undo a deletion of text.
Comment 14 Andy Blight 2013-09-24 06:51:35 EDT
Edited document that had not been saved.
1. Auto formatting had been applied (hanging indent that I didn't want).
2. Undid changes using Ctrl Z perhaps too many times as it was responsding slowly.
3. Pasted additional text. 
4. Auto format reapplied.
Did this two or three times before it crashed. 

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer '/home/andy/Documents/Job Hunt/CV/CV2013Full_v4.doc' --splash-pipe=5
crash_function: SetFormatIgnoreStart
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.1-200.fc19.x86_64
package:        libreoffice-core-4.1.1.2-5.fc19
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Michael Stahl 2013-10-08 16:47:40 EDT
fortunately Arnaud found an easily reproducible scenario where
no-extent RSID-only AUTOFMT hints would survive some editing
operations and then cause this crash on Undo.

my hope is that the fix is sufficiently generic to handle
various different operations.
Comment 16 Michael Stahl 2013-11-08 07:20:18 EST
*** Bug 1028415 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.